﻿using System;
using BizUnit;
using BizUnit.BizUnitOM;
using System.IO;
using System.Diagnostics;
using BTS.Testing.TraceMonitor.BizUnit4.TestSteps.TraceControlAgent;

namespace BTS.Testing.TraceMonitor.BizUnit4.TestSteps
{
    /// <summary>
    /// Starts the event test trace
    /// </summary>
    public class StartRealtimeEventTrace : BizUnit.Xaml.TestStepBase 
    {
        public string TraceToolPath { get; set; }
        

        public override void Execute(Context context)
        {
            if(string.IsNullOrEmpty(TraceToolPath) || !File.Exists(TraceToolPath))
                throw new ApplicationException("Please supply a valid path to the trace tool");

            TraceToolPath = Path.GetFullPath(TraceToolPath);

            var process = new Process();
            var processStartInfo = new ProcessStartInfo { FileName = TraceToolPath, WorkingDirectory = Path.GetDirectoryName(TraceToolPath) };
            process.StartInfo = processStartInfo;
            process.Start();

            var serviceAgent = new TraceControlServiceClient();
            serviceAgent.Start();
        }

        public override void Validate(Context context)
        {
            
        }
    }
}
